aboutsummaryrefslogtreecommitdiff
path: root/tools/darwin
diff options
context:
space:
mode:
authorMemphiz <memphis@machzwo.de>2013-12-04 22:17:18 +0100
committerMemphiz <memphis@machzwo.de>2013-12-04 22:19:43 +0100
commitf27f53ba09dd782a3977764de5e14c02d49bde5c (patch)
treefdd309857eef686b3cc6c1debc83e1aad1d60f75 /tools/darwin
parentfdb1ef6a4f4134c52bf6503f246a8dfc6e346b79 (diff)
[ios/atv2] - readd gitrev-posix which was wrongly removed in 05274bfcbcbbc96a5ee5a61bf4018b30719727f4 - its still needed in ios/atv2 packaging if we want to retain dsym files (on jenkins...)
Diffstat (limited to 'tools/darwin')
-rwxr-xr-xtools/darwin/packaging/gitrev-posix14
-rwxr-xr-xtools/darwin/packaging/xbmc-atv2/mkdeb-xbmc-atv2.sh2
-rwxr-xr-xtools/darwin/packaging/xbmc-ios/mkdeb-xbmc-ios.sh2
3 files changed, 16 insertions, 2 deletions
diff --git a/tools/darwin/packaging/gitrev-posix b/tools/darwin/packaging/gitrev-posix
new file mode 100755
index 0000000000..dd593f1917
--- /dev/null
+++ b/tools/darwin/packaging/gitrev-posix
@@ -0,0 +1,14 @@
+#!/bin/bash
+#Print the git revision in the form yyyymmdd-abc1234
+#Note: yyyymmdd is the date that abc1234 was committed and not today's date.
+
+which git &>/dev/null
+if [ "$?" != "0" ]; then
+ echo "Unknown"
+ exit 1
+fi
+git --no-pager log --abbrev=7 -n 1 --pretty=format:"%h %ci" HEAD | awk '{gsub("-", "");print $2"-"$1}' 2>/dev/null
+if [ "$?" != "0" ]; then
+ echo "Unknown"
+ exit 1
+fi
diff --git a/tools/darwin/packaging/xbmc-atv2/mkdeb-xbmc-atv2.sh b/tools/darwin/packaging/xbmc-atv2/mkdeb-xbmc-atv2.sh
index 2e29bdd05e..1d22f0a858 100755
--- a/tools/darwin/packaging/xbmc-atv2/mkdeb-xbmc-atv2.sh
+++ b/tools/darwin/packaging/xbmc-atv2/mkdeb-xbmc-atv2.sh
@@ -23,7 +23,7 @@ fi
#copy bzip2 of dsym to xbmc-depends install dir
if [ -d $DSYM ]; then
if [ -d $DSYM_TARGET_DIR ]; then
- tar -C $DSYM/.. -c $DSYM_FILENAME/ | bzip2 > $DSYM_TARGET_DIR/`$DIRNAME/../../../buildbot/gitrev-posix`-${DSYM_FILENAME}.tar.bz2
+ tar -C $DSYM/.. -c $DSYM_FILENAME/ | bzip2 > $DSYM_TARGET_DIR/`$DIRNAME/../gitrev-posix`-${DSYM_FILENAME}.tar.bz2
fi
fi
diff --git a/tools/darwin/packaging/xbmc-ios/mkdeb-xbmc-ios.sh b/tools/darwin/packaging/xbmc-ios/mkdeb-xbmc-ios.sh
index 846b306716..93e3659d78 100755
--- a/tools/darwin/packaging/xbmc-ios/mkdeb-xbmc-ios.sh
+++ b/tools/darwin/packaging/xbmc-ios/mkdeb-xbmc-ios.sh
@@ -23,7 +23,7 @@ fi
#copy bzip2 of dsym to xbmc-depends install dir
if [ -d $DSYM ]; then
if [ -d $DSYM_TARGET_DIR ]; then
- tar -C $DSYM/.. -c $DSYM_FILENAME/ | bzip2 > $DSYM_TARGET_DIR/`$DIRNAME/../../../buildbot/gitrev-posix`-${DSYM_FILENAME}.tar.bz2
+ tar -C $DSYM/.. -c $DSYM_FILENAME/ | bzip2 > $DSYM_TARGET_DIR/`$DIRNAME/../gitrev-posix`-${DSYM_FILENAME}.tar.bz2
fi
fi